wai-handler-launch-3.0.3.1: Launch a web app in the default browser.

Safe Haskell | None
Language | Haskell98

Network.Wai.Handler.Launch

Synopsis

- run :: Application -> IO ()
- runUrl :: String -> Application -> IO ()
- runUrlPort :: Int -> String -> Application -> IO ()
- runHostPortUrl :: String -> Int -> String -> Application -> IO ()
- runHostPortFullUrl :: String -> Int -> String -> Application -> IO ()

# Documentation

run :: Application -> IO () Source #

runUrl :: String -> Application -> IO () Source #

runUrlPort :: Int -> String -> Application -> IO () Source #

runHostPortUrl :: String -> Int -> String -> Application -> IO () Source #

Since: 3.0.1

runHostPortFullUrl :: String -> Int -> String -> Application -> IO () Source #

Generic version of runHostPortUrl that allows arbitrary URLs to launch

Since: 3.0.2.5